// BrowseDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Haus2.h"
#include "BrowseDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBrowseDlg dialog


CBrowseDlg::CBrowseDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBrowseDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBrowseDlg)
	csSelection = _T("");
	//}}AFX_DATA_INIT
	pParentWnd = pParent;
}


void CBrowseDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBrowseDlg)
	DDX_Control(pDX, IDC_BROWSELIST, clbBINs);
	DDX_LBString(pDX, IDC_BROWSELIST, csSelection);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBrowseDlg, CDialog)
	//{{AFX_MSG_MAP(CBrowseDlg)
	ON_LBN_SELCHANGE(IDC_BROWSELIST, OnSelchangeBrowselist)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBrowseDlg message handlers

void CBrowseDlg::OnSelchangeBrowselist() 
{
	UpdateData(TRUE);
	TRACE("CBrowseDlg::OnSelchangeBrowselist() - %s\n", csSelection);
	pBin->NewBIN();
	pBin->ClearTexturePool();	// avoid "out of memory"
	pBin->ReadBIN(csBINdir+"\\"+csSelection, csARTdir);

	double dMaxi = abs(pBin->GetMaxCoord("x"));
	dMaxi = max(dMaxi, abs(pBin->GetMaxCoord("y")));
	dMaxi = max(dMaxi, abs(pBin->GetMaxCoord("z")));
	dMaxi = max(dMaxi, abs(pBin->GetMinCoord("x")));
	dMaxi = max(dMaxi, abs(pBin->GetMinCoord("y")));
	dMaxi = max(dMaxi, abs(pBin->GetMinCoord("z")));

	dMaxi /= 1000;

	if (dMaxi > 0) pBin->SetZoom(17.0/dMaxi);

	pParentWnd->RedrawWindow();
	
}

BOOL CBrowseDlg::Create() 
{
	return CDialog::Create(IDD, pParentWnd);
}
