// ResizeBinDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Haus2.h"
#include "ResizeBinDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CResizeBinDlg dialog


CResizeBinDlg::CResizeBinDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CResizeBinDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CResizeBinDlg)
	m_nh = 0.0;
	m_nl = 0.0;
	m_nw = 0.0;
	m_oh = 0.0;
	m_ol = 0.0;
	m_ow = 0.0;
	m_prop = FALSE;
	//}}AFX_DATA_INIT
}


void CResizeBinDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CResizeBinDlg)
	DDX_Text(pDX, IDC_NH, m_nh);
	DDX_Text(pDX, IDC_NL, m_nl);
	DDX_Text(pDX, IDC_NW, m_nw);
	DDX_Text(pDX, IDC_OH, m_oh);
	DDX_Text(pDX, IDC_OL, m_ol);
	DDX_Text(pDX, IDC_OW, m_ow);
	DDX_Check(pDX, IDC_PROP_CHECK, m_prop);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CResizeBinDlg, CDialog)
	//{{AFX_MSG_MAP(CResizeBinDlg)
	ON_EN_KILLFOCUS(IDC_NH, OnKillfocusNh)
	ON_EN_KILLFOCUS(IDC_NL, OnKillfocusNl)
	ON_EN_KILLFOCUS(IDC_NW, OnKillfocusNw)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResizeBinDlg message handlers

void CResizeBinDlg::OnKillfocusNh() 
{
	UpdateData(TRUE);
	if (!m_prop) return;
	
	double fac = m_nh/m_oh;
	
	m_nw = m_ow * fac;
	m_nl = m_ol * fac;
	UpdateData(FALSE);
}

void CResizeBinDlg::OnKillfocusNl() 
{
	UpdateData(TRUE);
	if (!m_prop) return;
	
	double fac = m_nl/m_ol;
	
	m_nw = m_ow * fac;
	m_nh = m_oh * fac;
	UpdateData(FALSE);
}

void CResizeBinDlg::OnKillfocusNw() 
{
	UpdateData(TRUE);
	if (!m_prop) return;
	
	double fac = m_nw/m_ow;
	
	m_nh = m_oh * fac;
	m_nl = m_ol * fac;
	UpdateData(FALSE);
}
