#ifndef __OPTOOLS_H__
#define __OPTOOLS_H__

class CopTools {
public:	
	static CString GetFileFromPath(CString csPath);
	static BOOL CStringInCStringArray(CString csSearch, CStringArray &csaArray);
	static CString EnsureFileExtension(CString csFile, CString csExt);
	static int GetCfgInt(CString csKey, CMapStringToString &cmapCfg, int iDefault);
	static CString GetCfgStr(CString csKey, CMapStringToString &cmapCfg, CString csDefault);
	static COLORREF GetCfgCOLORREF(CString csKey, CMapStringToString &cmapCfg, COLORREF rgbDefault);
	static void ReadCfgFile(CString csName, CMapStringToString &cmapCfg);
	static void WriteCfgFile(CString csName, CMapStringToString &cmapCfg);
	static CString Before(CString csStr, CString csSearch);
	static CString BeforeIncluding(CString csStr, CString csSearch);
	static CString After(CString csStr, CString csSearch);
	static CString AfterIncluding(CString csStr, CString csSearch);
	static BOOL FileExists(CString csName);
	static void FileMultSelFiles(LPSTR lpstrSel, CStringArray *pStrArr);
	static CString FileMultSelDir(LPSTR lpstrSel);
	static int FileMultSelNumber(LPSTR lpstrSel);
	static void *GlobalAllocPtr(UINT uFlags, DWORD dwBytes) {return GlobalLock(GlobalAlloc(uFlags, dwBytes));}
	static HGLOBAL GlobalFreePtr(void *ptr) {
		HGLOBAL hglob = GlobalHandle(ptr);
		GlobalUnlock(hglob);
		return GlobalFree(hglob);
	}

	CopTools();
	~CopTools();
protected:
};

#endif
