// DefAnimTex.cpp : implementation file
//

#include "stdafx.h"
#include "Haus2.h"
#include "DefAnimTex.h"

#include "C:\Dev\Code\Generic Classes\optools.h"
#include "C:\dev\code\mtm classes\mtmtools.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DefAnimTex dialog


DefAnimTex::DefAnimTex(CWnd* pParent /*=NULL*/)
	: CDialog(DefAnimTex::IDD, pParent)
{
	//{{AFX_DATA_INIT(DefAnimTex)
	m_name = _T("");
	m_fps = 0.0f;
	//}}AFX_DATA_INIT
}


void DefAnimTex::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DefAnimTex)
	DDX_Control(pDX, IDC_LIST1, m_list);
	DDX_Control(pDX, IDC_ANIM_PV, m_pv);
	DDX_Text(pDX, IDC_NAME, m_name);
	DDX_Text(pDX, IDC_DELAY, m_fps);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DefAnimTex, CDialog)
	//{{AFX_MSG_MAP(DefAnimTex)
	ON_BN_CLICKED(IDC_BTNADDTXT, OnBtnaddtxt)
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DefAnimTex message handlers

void DefAnimTex::OnBtnaddtxt() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[1000]; 
    TCHAR szFileTitle[1000]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
    szFileName[0] = '\0';
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Textures *.raw\0*.raw\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csLastPath;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= OFN_FILEMUSTEXIST+OFN_HIDEREADONLY+OFN_ALLOWMULTISELECT+OFN_EXPLORER;    

	if (GetOpenFileName(&ofn)) {
		
		CStringArray files;
		CString dir = CopTools::FileMultSelDir(ofn.lpstrFile);

		CopTools::FileMultSelFiles(ofn.lpstrFile, &files);
		TRACE("Selections: %d\n", CopTools::FileMultSelNumber(ofn.lpstrFile));
		
		for (int i=0; i<files.GetSize(); i++) {
			TRACE("%d - %s\n", i, files[i]);
			m_list.AddString(files[i]);
		}
		csLastPath = dir;
	}	
}

void DefAnimTex::OnSelchangeList1() 
{
	// TODO: Add your control notification handler code here
	
}

void DefAnimTex::OnOK() 
{
	CString csItem;

	for (int i=0; i<m_list.GetCount(); i++) {
		m_list.GetText(i, csItem);
		csaTextures.Add(csItem);
	}
	
	CDialog::OnOK();
}

BOOL DefAnimTex::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	csLastPath = CMTMTools::GetMTMPath()+"\\ART";
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
