// Haus2View.cpp : implementation of the CHausView class
//

#include "stdafx.h"
#include "Haus2.h"
#include "shlobj.h"

#include "Haus2Doc.h"
#include "Haus2View.h"

#include "gl\gl.h"
#include "gl\glu.h"
#include "gl\glaux.h"

#include "bpdlg.h"
#include "facesadddlg.h"
#include "vertcoorddlg.h"
#include "chgvertcoord.h"
#include "rotatedlg.h"
#include "resizebindlg.h"
#include "TranslationDlg.h"
#include "GroupNameDlg.h"
#include "GroupAddDlg.h"
#include "DefAnimTex.h"
#include "FaceProps.h"
#include "PreferencesDlg.h"
#include "MultitexDlg.h"
#include "TexTypeDlg.h"
#include "MergeVertsDlg.h"
#include "BrowseDlg.h"
#include "IntDlg.h"
#include "DirTagDlg.h"
#include "C:\dev\code\generic classes\optools.h"

#define HAVE_BOOLEAN // for jpeglib
#include "jpeglib.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHausView

IMPLEMENT_DYNCREATE(CHausView, CView)

BEGIN_MESSAGE_MAP(CHausView, CView)
	//{{AFX_MSG_MAP(CHausView)
	ON_COMMAND(ID_FILE_PLAY, OnFilePlay)
	ON_UPDATE_COMMAND_UI(ID_FILE_PLAY, OnUpdateFilePlay)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	ON_WM_ERASEBKGND()
	ON_WM_SIZE()
	ON_WM_TIMER()
	ON_COMMAND(ID_FILE_OPEN, OnFileOpen)
	ON_COMMAND(ID_FACES_PROPERTIES, OnFacesProperties)
	ON_WM_KEYDOWN()
	ON_WM_KEYUP()
	ON_COMMAND(ID_FILE_SAVE, OnFileSave)
	ON_WM_LBUTTONDOWN()
	ON_WM_MOUSEMOVE()
	ON_COMMAND(ID_TEXTURES_LOAD, OnTexturesLoad)
	ON_COMMAND(ID_FACES_ADD, OnFacesAdd)
	ON_COMMAND(ID_FACES_DELETE_CURRENT, OnFacesDeleteCurrent)
	ON_COMMAND(ID_VERTICES_SETCOORDINATES, OnVerticesSetcoordinates)
	ON_COMMAND(ID_MODEL_ROTATEX, OnModelRotatex)
	ON_COMMAND(ID_MODEL_ROTATEY, OnModelRotatey)
	ON_COMMAND(ID_MODEL_ROTATEZ, OnModelRotatez)
	ON_COMMAND(ID_VERTICES_ADD, OnVerticesAdd)
	ON_COMMAND(ID_MODEL_RESIZE, OnModelResize)
	ON_COMMAND(ID_MODEL_TRANSLATE, OnModelTranslate)
	ON_COMMAND(ID_GROUPS_DEFINEFACEGROUP, OnGroupsDefinefacegroup)
	ON_COMMAND(ID_GROUPS_RESTOREFACEGROUP, OnGroupsRestorefacegroup)
	ON_COMMAND(ID_FILE_INSERT, OnFileInsert)
	ON_COMMAND(ID_FILE_IMPORT_WAVEFRONT, OnFileImportWavefront)
	ON_COMMAND(ID_GROUPS_DEFINEVERTEXGROUP, OnGroupsDefineVertexGroup)
	ON_COMMAND(ID_GROUPS_RESTOREVERTEXGROUP, OnGroupsRestoreVertexGroup)
	ON_COMMAND(ID_FILE_SAVEASBACKDROP, OnFileSaveasbackdrop)
	ON_COMMAND(ID_MODEL_NORMALIZETEXTURE, OnModelNormalizetexture)
	ON_COMMAND(ID_MODEL_WRITETEXTURESTOTEXTFILE, OnModelWritetexturestotextfile)
	ON_COMMAND(ID_FILE_EXPORT_WAVEFRONT, OnFileExportWavefront)
	ON_COMMAND(ID_FACES_FLIPTEXTUREX, OnFacesFliptexturex)
	ON_COMMAND(ID_FACES_FLIPTEXTUREY, OnFacesFliptexturey)
	ON_COMMAND(ID_FACES_ROTATETEXTURE, OnFacesRotatetexture)
	ON_COMMAND(ID_VERTICES_DELETECURRENT, OnVerticesDeletecurrent)
	ON_COMMAND(ID_VERTICES_DELETEALLUNUSED, OnVerticesDeleteallunused)
	ON_COMMAND(ID_TEXTURES_DEFINEANIMATION, OnTexturesDefineanimation)
	ON_COMMAND(ID_FILE_NEW, OnFileNew)
	ON_COMMAND(ID_VIEW_ZOOMFIT, OnViewZoomfit)
	ON_COMMAND(ID_FACE_PROPERTIES, OnFaceProperties)
	ON_COMMAND(ID_VIEW_WIRE, OnViewWire)
	ON_COMMAND(ID_VIEW_SOLID, OnViewSolid)
	ON_COMMAND(ID_VIEW_TEXTURED, OnViewTextured)
	ON_COMMAND(ID_VIEW_TOGGLE_VERTEX_STATUS, OnViewToggleVertexStatus)
	ON_UPDATE_COMMAND_UI(ID_VIEW_TOGGLE_VERTEX_STATUS, OnUpdateViewToggleVertexStatus)
	ON_COMMAND(ID_FACE_SELECT_ALL, OnFaceSelectAll)
	ON_COMMAND(ID_FILE_PREFERENCES, OnFilePreferences)
	ON_COMMAND(ID_FACE_MULTITEX, OnFaceMultitex)
	ON_COMMAND(ID_SELECT_TEXTYPE, OnSelectTextype)
	ON_COMMAND(ID_VERTEX_MERGE, OnVertexMerge)
	ON_COMMAND(ID_VIEW_3DONLY, OnView3donly)
	ON_UPDATE_COMMAND_UI(ID_VIEW_3DONLY, OnUpdateView3donly)
	ON_COMMAND(ID_VIEW_SHOWAXES, OnViewShowaxes)
	ON_UPDATE_COMMAND_UI(ID_VIEW_SHOWAXES, OnUpdateViewShowaxes)
	ON_COMMAND(ID_VIEW_SHOWVERTICES, OnViewShowvertices)
	ON_UPDATE_COMMAND_UI(ID_VIEW_SHOWVERTICES, OnUpdateViewShowvertices)
	ON_COMMAND(ID_VIEW_3DQUALITY, OnView3dquality)
	ON_UPDATE_COMMAND_UI(ID_VIEW_3DQUALITY, OnUpdateView3dquality)
	ON_COMMAND(ID_FILE_EXPORT_VRML, OnFileExportVrml)
	ON_COMMAND(ID_FILE_IMPORT_TRUCK, OnFileImportTruck)
	ON_COMMAND(ID_MODEL_CENTER_ALL, OnModelCenterAll)
	ON_COMMAND(ID_MODEL_CENTER_X, OnModelCenterX)
	ON_COMMAND(ID_MODEL_CENTER_Y, OnModelCenterY)
	ON_COMMAND(ID_MODEL_CENTER_Z, OnModelCenterZ)
	ON_COMMAND(ID_FILE_BROWSE, OnFileBrowse)
	ON_UPDATE_COMMAND_UI(ID_FILE_BROWSE, OnUpdateFileBrowse)
	ON_COMMAND(ID_VIEW_FOLLOWCURRENT, OnViewFollowcurrent)
	ON_UPDATE_COMMAND_UI(ID_VIEW_FOLLOWCURRENT, OnUpdateViewFollowcurrent)
	ON_COMMAND(ID_FACE_DESELECT_ALL, OnFaceDeselectAll)
	ON_COMMAND(ID_VERTS_SELECT_ALL, OnVertsSelectAll)
	ON_COMMAND(ID_VERTS_DESELECT_ALL, OnVertsDeselectAll)
	ON_COMMAND(ID_FACE_JUMP, OnFaceJump)
	ON_COMMAND(ID_VERT_JUMP, OnVertJump)
	ON_COMMAND(ID_FACE_FLIP, OnFaceFlip)
	ON_COMMAND(ID_FACEGROUP_FILP, OnFacegroupFlip)
	ON_COMMAND(ID_FACE_SELBYDIR, OnFaceSelbydir)
	ON_COMMAND(ID_VIEW_BGND, OnViewBgnd)
	ON_COMMAND(ID_GROUPS_MAGIC, OnGroupsMagic)
	ON_COMMAND(ID_FILE_HELL, OnFileHell)
	ON_COMMAND(ID_FILE_IMASC, OnFileImasc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHausView construction/destruction

CHausView::CHausView(){
	pVertexStatusDlg = NULL;
	pBrowseDlg = NULL;
	m_pDC = NULL;
	m_play = FALSE;
	shift_pressed = FALSE;
	ctrl_pressed = FALSE;
	wAngleX = 30.0;
	wAngleY = 30.0;
	mouse_x.x = 0;
	mouse_x.y = 0;
	mouse_y.x = 0;
	mouse_y.y = 0;
	mouse_z.x = 0;
	mouse_z.y = 0;
	show_texture = FALSE;
	csCurrentName = "unnamed.bin";

	// remember current directory
	char buf[500];
	GetCurrentDirectory(500, buf);
	csAppDir = CString(buf);
	TRACE("AppDir: %s\n", csAppDir);

	if (!CopTools::FileExists("BINedit.cfg")) {
		CString csAux;
		csAux  = "You have deleted BINedit.cfg or you are running\n";
		csAux += "this version of BINedit for the first time from this\n";
		csAux += "directory. Please go to the PREFERENCES command in the\n";
		csAux += "FILE menu and enter or select the appropriate file and\n";
		csAux += "path names. See Chapter 2 of BINEDIT.TXT for details.\n";
		AfxMessageBox(csAux);
	}

	// read config file into map
	CopTools::ReadCfgFile("BINedit.cfg", cmapCfg);
	
	// test for valid palette
	csACT = CopTools::GetCfgStr("DEFPAL", cmapCfg, "C:\\Program Files\\Microsoft Games\\Monster Truck Madness\\ART\\METALCR2.ACT");

	while (!CopTools::FileExists(csACT)) {
		AfxMessageBox("Default Palette not found!\nPlease locate ART\\METALCR2.ACT in your MTM folder!\n");

		OPENFILENAME   ofn;
		TCHAR szFileName[128]; 
		TCHAR szFileTitle[128]; 
		LPDISPATCH pdispBrowseHelper = NULL;  
		LPDISPATCH pdispTypeLibrary = NULL;
		LPDISPATCH pdispTypeInfos = NULL;      
    
		szFileName[0] = '\0';
		memset(&ofn, 0, sizeof(ofn));
		ofn.lStructSize = sizeof(ofn);
		ofn.hwndOwner = NULL;
		ofn.lpstrFile = szFileName;
		ofn.lpstrFileTitle = szFileTitle;
		ofn.nMaxFile  = sizeof(szFileName);
		ofn.hInstance = NULL;
		ofn.lpstrFilter  = TEXT("Adobe Color Table *.act\0*.act\0All Files *.*\0*.*\0\0");
		ofn.nFilterIndex = 1;
		ofn.lpstrInitialDir = CString("");
		ofn.Flags= OFN_FILEMUSTEXIST+OFN_HIDEREADONLY;    

		if (GetOpenFileName(&ofn)) csACT = ofn.lpstrFile;
		else exit(-1);
	}
	TRACE("Palette: %s\n", csACT);

	// get options from config file
	FaceType    = CopTools::GetCfgInt("FACETYPE", cmapCfg, 3);
	bFollowFace = CopTools::GetCfgInt("FOLLOWFACE", cmapCfg, 1);
	b3DOnly     = CopTools::GetCfgInt("3DONLY", cmapCfg, 0);
	b3DAxes     = CopTools::GetCfgInt("3DAXES", cmapCfg, 1);
	b3DVerts    = CopTools::GetCfgInt("3DVERTS", cmapCfg, 1);
	b3DQuality  = CopTools::GetCfgInt("3DQUALITY", cmapCfg, 0);
	rgbBack     = CopTools::GetCfgCOLORREF("BACKGRND", cmapCfg, RGB(0, 128, 255));

	csBINFolder = CopTools::GetCfgStr("BINDIR", cmapCfg, "C:\\Program Files\\Microsoft Games\\Monster Truck Madness\\MODELS");
	csARTFolder = CopTools::GetCfgStr("ARTDIR", cmapCfg, "C:\\Program Files\\Microsoft Games\\Monster Truck Madness\\ART");
	csTRKFolder = CopTools::GetCfgStr("TRKDIR", cmapCfg, "C:\\Program Files\\Microsoft Games\\Monster Truck Madness\\TRUCK");

	bin.Init(csACT);
 }

CHausView::~CHausView()
{
	if (pVertexStatusDlg) pVertexStatusDlg->DestroyWindow();
	if (pVertexStatusDlg) delete pVertexStatusDlg;
}

void CHausView::OnFilePlay() {
	m_play = m_play ? FALSE : TRUE;
	if (m_play) SetTimer(1, 5, NULL);
	else  KillTimer(1);
    }

void CHausView::OnUpdateFilePlay(CCmdUI* pCmdUI) {
	pCmdUI->SetCheck(m_play);
    }

BOOL CHausView::PreCreateWindow(CREATESTRUCT& cs){
	// An OpenGL window must be created with the following flags and must not
    // include CS_PARENTDC for the class style. Refer to SetPixelFormat
    // documentation in the "Comments" section for further information.
    cs.style |= WS_CLIPSIBLINGS | WS_CLIPCHILDREN;
	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CHausView drawing

void CHausView::OnDraw(CDC* pDC){
//	CHausDoc* pDoc = GetDocument();
//	ASSERT_VALID(pDoc);

	DrawScene();
}

/////////////////////////////////////////////////////////////////////////////
// CHausView diagnostics

#ifdef _DEBUG
void CHausView::AssertValid() const
{
	CView::AssertValid();
}

void CHausView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CHausView message handlers
/////////////////////////////////////////////////////////////////////////////

int CHausView::OnCreate(LPCREATESTRUCT lpCreateStruct) {
	if (CView::OnCreate(lpCreateStruct) == -1) return -1;
	
	Init();	// initialize OpenGL

	return 0;
    }

void CHausView::OnDestroy() {	
	HGLRC	hrc;

	KillTimer(1);

	WriteConfiguration();

	hrc = ::wglGetCurrentContext();
    ::wglMakeCurrent(NULL,  NULL);

    if (hrc) ::wglDeleteContext(hrc);

    if (m_pDC) delete m_pDC;
	CView::OnDestroy();	
    }

BOOL CHausView::OnEraseBkgnd(CDC* pDC) {
	return TRUE;
    }

const double FrSize =  20.0;
const double FrNear =  40.0;
const double FrFar  = 100.0;


void CHausView::OnSize(UINT nType, int cx, int cy) {
	CView::OnSize(nType, cx, cy);
	
	if(cy > 0){    
        if (!b3DOnly) glViewport(cx>>1, cy>>1, cx>>1, cy>>1);
		else glViewport(0, 0, cx, cy);

		width = cx;
		height = cy;

        m_oldRect.right = cx;
        m_oldRect.bottom = cy;

        glMatrixMode (GL_PROJECTION);
        glLoadIdentity ();
		double aspect = (double)height/(double)width;
		TRACE("aspect = %f, => %f, %f\n",aspect,  -FrSize*aspect, FrSize*aspect);
		glFrustum(-FrSize, FrSize, -FrSize*aspect, FrSize*aspect, FrNear, FrFar);

        RedrawWindow();
        }
	}

void CHausView::OnTimer(UINT nIDEvent) {
	
	DrawScene();
	
	CView::OnTimer(nIDEvent);

	// Eat spurious WM_TIMER messages
	MSG msg;
	while(::PeekMessage(&msg, m_hWnd, WM_TIMER, WM_TIMER, PM_REMOVE));
}



/////////////////////////////////////////////////////////////////////////////
// GL helper functions


/*  Load checkerboard texture */
#define ImageWidth 256
#define ImageHeight 256


void CHausView::Init()
{
	static GLfloat  fvFogColor[] = {0.5f, 0.5f, 0.5f, 1.0f};
    PIXELFORMATDESCRIPTOR pfd;
    int         n;
	HGLRC		hrc;
    m_pDC = new CClientDC(this);

    ASSERT(m_pDC != NULL);

    if (!bSetupPixelFormat()) return;

    n = ::GetPixelFormat(m_pDC->GetSafeHdc());
    ::DescribePixelFormat(m_pDC->GetSafeHdc(), n, sizeof(pfd), &pfd);

    hrc = wglCreateContext(m_pDC->GetSafeHdc());
    wglMakeCurrent(m_pDC->GetSafeHdc(), hrc);

    GetClientRect(&m_oldRect);
    glClearDepth(1.0f);
    glEnable(GL_DEPTH_TEST);

    glMatrixMode (GL_PROJECTION);
    glLoadIdentity ();
    glFrustum(-FrSize, FrSize, -FrSize, FrSize, FrNear, FrFar);

    glPixelStorei(GL_UNPACK_ALIGNMENT, 1);

	// Die Textur soll sich in beide Dimensionen wiederholen
//    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
//    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_CLAMP);
    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_CLAMP);
    
	// Auerdem soll linear interpoliert werden
	if (b3DQuality) {
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
	    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
	} else {
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);
	}
    
	// und die Textur soll sich mit dem Wei/Grau der Wnde berlagern -> Licht und Schatten
	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
    glEnable(GL_TEXTURE_2D);
    glShadeModel(GL_FLAT);

	//glPolygonMode(GL_FRONT, GL_FILL);
	glCullFace(GL_FRONT);
	glEnable(GL_CULL_FACE);
    
	glEnable(GL_NORMALIZE);
    }

BOOL CHausView::bSetupPixelFormat()
{
    static PIXELFORMATDESCRIPTOR pfd = {
        sizeof(PIXELFORMATDESCRIPTOR),  // size of this pfd
        1,                              // version number
        PFD_DRAW_TO_WINDOW |            // support window
          PFD_SUPPORT_OPENGL |          // support OpenGL
          PFD_DOUBLEBUFFER,             // double buffered
        PFD_TYPE_RGBA,                  // RGBA type
        24,                             // 24-bit color depth
        0, 0, 0, 0, 0, 0,               // color bits ignored
        0,                              // no alpha buffer
        0,                              // shift bit ignored
        0,                              // no accumulation buffer
        0, 0, 0, 0,                     // accum bits ignored
        32,                             // 32-bit z-buffer
        0,                              // no stencil buffer
        0,                              // no auxiliary buffer
        PFD_MAIN_PLANE,                 // main layer
        0,                              // reserved
        0, 0, 0                         // layer masks ignored
    };
    int pixelformat;

    if ( (pixelformat = ChoosePixelFormat(m_pDC->GetSafeHdc(), &pfd)) == 0 ){
        MessageBox("ChoosePixelFormat failed");
        return FALSE;
        }

    if (SetPixelFormat(m_pDC->GetSafeHdc(), pixelformat, &pfd) == FALSE){
        MessageBox("SetPixelFormat failed");
        return FALSE;
        }

    return TRUE;
    }


/////////////////////////////////////////////////////////////////////////////
// GL Zeichenroutine


#define FT_VERTEX	(0)
#define FT_WIRE		(1)
#define FT_FILLED	(2)
#define FT_TEXTURE	(3)
void CHausView::DrawScene(void){
	static BOOL     bBusy = FALSE;
	static GLfloat  TransZ  =  70.0f;
	static GLfloat  fvLight0pos[] = {-1.0f, 3.0f, 2.0f, 0.0f};

	static int ix, iy, iz;
	static int isx, isy, isz;

	double dZoom = bin.GetZoom();

    if(bBusy) return;
    bBusy = TRUE;

    if (FaceType == 3) glEnable(GL_TEXTURE_2D);
	else  glDisable(GL_TEXTURE_2D);

    if (m_play) wAngleY += 10.0f;

    glClearColor( GetRValue(rgbBack)/255.0, GetGValue(rgbBack)/255.0, GetBValue(rgbBack)/255.0, 0.0f );

	glClear (GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	glEnable(GL_COLOR_MATERIAL);

	glPushMatrix();
    glTranslatef(0.0f, 0.0f, -TransZ);
	glRotatef(wAngleX, 1.0f, 0.0f, 0.0f);
	glRotatef(wAngleY, 0.0f, 1.0f, 0.0f);

	if (FaceType == FT_FILLED)  {
		glEnable(GL_LIGHTING);
		glEnable(GL_LIGHT0);
		glLightModelf(GL_LIGHT_MODEL_LOCAL_VIEWER, 0.0f);
		glLightfv(GL_LIGHT0, GL_POSITION, fvLight0pos);
	} else {
		glDisable(GL_LIGHTING);
		glDisable(GL_LIGHT0);
	}



	// follow active face
	if (bFollowFace && (bin.GetCurrentFace() != -1)) {
		isx = isy = isz = 0;

		bin.GetVertexCoords(bin.GetFaceVertex(bin.GetCurrentFace(),0), ix, iy, iz);
		isx += ix; isy += iy; isz += iz;
		bin.GetVertexCoords(bin.GetFaceVertex(bin.GetCurrentFace(),1), ix, iy, iz);
		isx += ix; isy += iy; isz += iz;
		bin.GetVertexCoords(bin.GetFaceVertex(bin.GetCurrentFace(),2), ix, iy, iz);
		isx += ix; isy += iy; isz += iz;

		glTranslatef(-(isx*dZoom)/3000.0, -(isy*dZoom)/3000.0, (isz*dZoom)/3000.0);
	}
	// end follow active face

	glColor3f (1.0f, 1.0f, 1.0f); // wei

	bin.DrawBIN(FaceType, b3DAxes, b3DVerts);

	glPopMatrix();

	glFinish();

	SwapBuffers(wglGetCurrentDC());

	////////////////////////
	// non OpenGL part

	if (!b3DOnly) {

		CDC *pDC = GetDC();

		CPen *oldpen;
		CPen black(PS_SOLID, 1, RGB(0,0,0));
		CPen red(PS_SOLID, 1, RGB(255,0,0));
		CPen white(PS_SOLID, 1, RGB(255,255,255));

		oldpen = pDC->SelectObject(&black);

		char buf[200];
		sprintf(buf, "Vertex: %d Face: %d", bin.GetCurrentVertex(), bin.GetCurrentFace());
		pDC->TextOut((width>>1)+4, (height>>1) - 15, CString(buf));

		pDC->MoveTo(width>>1, 0);
		pDC->LineTo(width>>1, height);
		pDC->MoveTo(0, height>>1);
		pDC->LineTo(width, height>>1);

		bin.DrawSideViewX(pDC, VIEW_BORDER,	VIEW_BORDER,				(width>>1)-2*VIEW_BORDER, (height>>1)-2*VIEW_BORDER);
		bin.DrawSideViewY(pDC, VIEW_BORDER,	(height>>1)+2,	(width>>1)-2*VIEW_BORDER, (height>>1)-2*VIEW_BORDER);
		bin.DrawSideViewZ(pDC, (width>>1)+VIEW_BORDER, (height>>1)+VIEW_BORDER,	(width>>1)-2*VIEW_BORDER, (height>>1)-2*VIEW_BORDER);

		pDC->SelectObject(&red);
		pDC->MoveTo(VIEW_BORDER+mouse_x.x-2, VIEW_BORDER+mouse_x.y);
		pDC->LineTo(VIEW_BORDER+mouse_x.x+2, VIEW_BORDER+mouse_x.y);
		pDC->MoveTo(VIEW_BORDER+mouse_x.x, VIEW_BORDER+mouse_x.y-2);
		pDC->LineTo(VIEW_BORDER+mouse_x.x, VIEW_BORDER+mouse_x.y+2);
		
		pDC->MoveTo(VIEW_BORDER+mouse_y.x-2, (height>>1)+VIEW_BORDER+mouse_y.y);
		pDC->LineTo(VIEW_BORDER+mouse_y.x+2, (height>>1)+VIEW_BORDER+mouse_y.y);
		pDC->MoveTo(VIEW_BORDER+mouse_y.x, (height>>1)+VIEW_BORDER+mouse_y.y-2);
		pDC->LineTo(VIEW_BORDER+mouse_y.x, (height>>1)+VIEW_BORDER+mouse_y.y+2);
		pDC->MoveTo(0, 0);

		pDC->MoveTo((width>>1)+VIEW_BORDER+mouse_z.x-2, (height>>1)+VIEW_BORDER+mouse_z.y);
		pDC->LineTo((width>>1)+VIEW_BORDER+mouse_z.x+2, (height>>1)+VIEW_BORDER+mouse_z.y);
		pDC->MoveTo((width>>1)+VIEW_BORDER+mouse_z.x, (height>>1)+VIEW_BORDER+mouse_z.y-2);
		pDC->LineTo((width>>1)+VIEW_BORDER+mouse_z.x, (height>>1)+VIEW_BORDER+mouse_z.y+2);
		
		////////////////////////
		// Show current Texture
		if (show_texture && bin.GetCurrentFace() != -1) {
			DrawCurrentTexture(0,0,256,256, pDC);
		}

		pDC->SelectObject(oldpen);
	}

	bBusy = FALSE;
}

void CHausView::OnFileOpen() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	for (int i=0; i<csCurrentName.GetLength(); i++)
		szFileName[i] = csCurrentName[i];
	szFileName[csCurrentName.GetLength()] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Model *.bin\0*.bin\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags = 0;    

	if (GetOpenFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "bin");

		if (!CopTools::FileExists(select))
			AfxMessageBox("File not found:\n"+select);
		else {
			BeginWaitCursor();
			bin.NewBIN();
			if (bin.ReadBIN(select, csARTFolder) != -1) {
				csCurrentName = CString(szFileTitle);
				csCurrentName = CopTools::EnsureFileExtension(csCurrentName, "bin");

				AfxGetMainWnd()->SetWindowText("BINedit - "+csCurrentName);
			}
			else bin.NewBIN();

			OnViewZoomfit();
			UpdateVertexStatus();
			EndWaitCursor();
		}
	}	
	OnDraw(GetDC());
}

void CHausView::OnFacesProperties() 
{
	CBPDlg dlg;

	dlg.m_facetype = FaceType;
	dlg.bFollowFace = bFollowFace;

	if (dlg.DoModal()==IDOK) {
		FaceType	= dlg.m_facetype;
	    bFollowFace	= dlg.bFollowFace;
	}
	OnDraw(GetDC());
}

#define K_PLUS	(107)
#define K_MINUS	(109)
#define K_TAB	(9)
#define K_SPACE	(32)
#define K_SHIFT	(16)
#define K_CTRL	(17)
#define K_LEFT	(37)
#define K_RIGHT (39)
#define K_UP  	(38)
#define K_DOWN	(40)

#define K_C		(67)
#define K_D		(68)
#define K_E		(69)
#define K_F		(70)
#define K_G		(71)
#define K_H		(72)
#define K_I		(73)
#define K_N		(78)
#define K_R		(82)
#define K_S		(83)
#define K_T		(84)
#define K_V		(86)
#define K_X		(88)
#define K_Y		(89)
#define K_Z		(90)
void CHausView::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	static UINT oldkey = 27;
	if (nChar != oldkey && nChar != K_SHIFT && nChar != K_CTRL) {
		TRACE("KeyDown Char: %d, RepCount: %d, Flags: %d\n", nChar, nRepCnt, nFlags);
		oldkey = nChar;
	}

	switch (nChar) {
	case K_SHIFT:	shift_pressed = TRUE; break;
	case K_CTRL:	ctrl_pressed = TRUE; break;
	case K_TAB:		if (!shift_pressed) {
						bin.SetCurrentVertex(bin.GetCurrentVertex() + 1);
					} else {
						bin.SetCurrentVertex(bin.GetCurrentVertex() - 1);
					}
					break;
	case K_SPACE:	if (!shift_pressed) {
						bin.SetCurrentFace(bin.GetCurrentFace() + 1);
					} else {
						bin.SetCurrentFace(bin.GetCurrentFace() - 1);
					}
					break;
	case K_PLUS:	if (shift_pressed) {
						bin.SetZoom(bin.GetZoom() + 1.0);
					} else {
						bin.SetZoom(bin.GetZoom() + 0.2);
					}
					break;
	case K_MINUS:	if (shift_pressed) {
						bin.SetZoom(bin.GetZoom() - 1.0);
					} else {
						bin.SetZoom(bin.GetZoom() - 0.2);
					}
					break;
	case K_LEFT:	if (shift_pressed) {
						wAngleY -= 20.0;
					} else {
						wAngleY -= 5.0;
					}
					break;
	case K_RIGHT:	if (shift_pressed) {
						wAngleY += 20.0;
					} else {
						wAngleY += 5.0;
					}
					break;
	case K_UP:		if (shift_pressed) {
						wAngleX -= 20.0;
					} else {
						wAngleX -= 5.0;
					}
					break;
	case K_DOWN:	if (shift_pressed) {
						wAngleX += 20.0;
					} else {
						wAngleX += 5.0;
					}
					break;
	case K_N:		if (!shift_pressed) bin.CycleCurrentFaceVertex(FALSE);
					else bin.CycleCurrentFaceVertex(TRUE);
					break;
	case K_F:		bin.ToggleFaceTag(bin.GetCurrentFace());
					break;
	case K_T:		if (!shift_pressed)	show_texture = !show_texture;
					else {
						bin.SetCurrentFaceTexture(bin.SelectTexture());
						shift_pressed = FALSE;
					}
					break;
	case K_V:		bin.ToggleVertexTag(bin.GetCurrentVertex());
					break;
	case K_X:		if (show_texture) {
						if (shift_pressed)	bin.MoveCurrentVertexTextureCoords(-1, 0);
						else				bin.MoveCurrentVertexTextureCoords(1, 0);;
					}
					else if (shift_pressed)	bin.TranslateVertex(bin.GetCurrentVertex(), -10, 0, 0, FALSE);
					else					bin.TranslateVertex(bin.GetCurrentVertex(), 10, 0, 0, FALSE);
					break;
	case K_Y:		if (show_texture) {
						if (shift_pressed)	bin.MoveCurrentVertexTextureCoords(0, -1);
						else				bin.MoveCurrentVertexTextureCoords(0, 1);;
					} 
					else if (shift_pressed)	bin.TranslateVertex(bin.GetCurrentVertex(), 0, -10, 0, FALSE);
					else					bin.TranslateVertex(bin.GetCurrentVertex(), 0, 10, 0, FALSE);
					break;
	case K_Z:		if (shift_pressed)	bin.TranslateVertex(bin.GetCurrentVertex(), 0, 0, -10, FALSE);
					else				bin.TranslateVertex(bin.GetCurrentVertex(), 0, 0, 10, FALSE);
					break;
	case K_I:		AfxMessageBox(bin.GetInfoString());
					break;
	}
	
	CView::OnKeyDown(nChar, nRepCnt, nFlags);

	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	switch (nChar) {
	case K_SHIFT:	shift_pressed = FALSE; break;
	case K_CTRL:	ctrl_pressed = FALSE; break;
	}
	
	CView::OnKeyUp(nChar, nRepCnt, nFlags);
}

void CHausView::OnFileSave() 
{
	int i;

	if (abs(bin.GetMaxCoord("y") + bin.GetMinCoord("y")) > 1) {
		if(AfxMessageBox("Model is centered along the vertical axis.\n"
			"This will cause the model to float or sink into the ground.\n\n"
			"Center model vertically before saving?", MB_YESNO) == IDYES) {
			OnModelCenterY();
		}
	}

	if (bin.IsFaceTypeInUse(0x29)) {
		if (AfxMessageBox("This BIN model uses a face type\n"
			              "that is not recognized by MTM1.\n"
						  "Convert BIN to MTM1 face types?", MB_YESNO) == IDYES) {
			for (int i=0; i<bin.GetNumberOfFaces(); i++) {
				if (bin.GetFaceTextureType(i) == 0x29) bin.SetFaceTextureType(i, 0x18);
			}
		}
	}

    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	for (i=0; i<csCurrentName.GetLength(); i++)
		szFileName[i] = csCurrentName[i];
	szFileName[csCurrentName.GetLength()] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Model *.bin\0*.bin\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= 0;    

	if (GetSaveFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "bin");

		BOOL bFileExists = CopTools::FileExists(select);
		if (bFileExists) {
			if (AfxMessageBox("Overwrite the file\n"+select+"?", MB_YESNO) == IDYES)
				bFileExists = FALSE;
		}
		
		if (!bFileExists) {
			BeginWaitCursor();
			CWordArray cwaLog;
			bin.WriteBIN(select, FALSE, bin.IsFaceTypeInUse(0x29), cwaLog, 0x00010000);
			
			CStdioFile groups;
			groups.Open(select+".info", CFile::modeWrite + CFile::modeCreate, NULL);
			bin.FaceGroupsSerialize(groups, cwaLog);
			bin.VertexGroupsSerialize(groups);
			groups.Close();

			csCurrentName = CString(szFileTitle);
			csCurrentName = CopTools::EnsureFileExtension(csCurrentName, "bin");
			AfxGetMainWnd()->SetWindowText("BINedit - "+csCurrentName);
			EndWaitCursor();
		}
	}	
}


void CHausView::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if (show_texture) {
		if (point.x < 256 && point.y < 256 && bin.IsVertexInFace(bin.GetCurrentVertex(), bin.GetCurrentFace())) {
			bin.SetCurrentVertexTextureCoords((255.0-point.x)/255.0, point.y/255.0);
			OnDraw(GetDC());
		}
	}

	else {
		if (point.x > VIEW_BORDER && point.x < (width>>1)-VIEW_BORDER) {
			if (point.y > VIEW_BORDER && point.y < (height>>1)-VIEW_BORDER) {
				mouse_x.x = point.x - VIEW_BORDER;
				mouse_x.y = point.y - VIEW_BORDER;
				OnDraw(GetDC());
			} else
			if (point.y > (height>>1)+VIEW_BORDER && point.y < (height)-VIEW_BORDER) {
				mouse_y.x = point.x - VIEW_BORDER;
				mouse_y.y = point.y - (height>>1) - VIEW_BORDER;
				OnDraw(GetDC());
			}
		} else
		if (point.x > (width>>1)+VIEW_BORDER && point.x < (width)-VIEW_BORDER) {
			if (point.y > (height>>1)+VIEW_BORDER && point.y < (height)-VIEW_BORDER) {
				mouse_z.x = point.x - (width>>1) - VIEW_BORDER;
				mouse_z.y = point.y - (height>>1) - VIEW_BORDER;
				OnDraw(GetDC());
			}
		}
	}
	
	CView::OnLButtonDown(nFlags, point);
}

void CHausView::OnMouseMove(UINT nFlags, CPoint point) 
{
	return;
	if (nFlags & MK_LBUTTON) {
		CDC *pDC = GetDC();
		pDC->SetPixelV(point, RGB(255,255,0));
	}
	
	CView::OnMouseMove(nFlags, point);
}

void CHausView::DrawCurrentTexture(int x, int y, int w, int h, CDC *pDC)
{
	BITMAPINFO mybi;
	
	mybi.bmiHeader.biSize = sizeof(BITMAPINFOHEADER);

	int iSize = bin.GetCurrentFaceTextureSize();

	mybi.bmiHeader.biWidth  = iSize;
	mybi.bmiHeader.biHeight = -iSize;

	mybi.bmiHeader.biPlanes = 1;
	mybi.bmiHeader.biBitCount = 24;
	mybi.bmiHeader.biCompression = BI_RGB;
	mybi.bmiHeader.biSizeImage = 0;
	mybi.bmiHeader.biXPelsPerMeter = 1;
	mybi.bmiHeader.biYPelsPerMeter = 1;
	mybi.bmiHeader.biClrUsed = 0;
	mybi.bmiHeader.biClrImportant = 0;

	StretchDIBits(
		GetDC()->m_hDC,	// handle of device context 
		x,	// x-coordinate of upper-left corner of dest. rect. 
		y,	// y-coordinate of upper-left corner of dest. rect. 
		w,	// width of destination rectangle 
		h,	// height of destination rectangle 
		0,	// x-coordinate of upper-left corner of source rect. 
		0,	// y-coordinate of upper-left corner of source rect. 
		iSize,	// width of source rectangle 
		iSize,	// height of source rectangle 
		bin.GetBmpTexturePointer(bin.GetCurrentFaceTextureName()),	// address of bitmap bits 
		&mybi,	// address of bitmap data 
		DIB_RGB_COLORS,	// usage 
		SRCCOPY 	// raster operation code 
	);

	bin.DrawTextureCoordSquare(x,y,w, iSize, bin.GetCurrentFace(), pDC);
}

void CHausView::OnTexturesLoad() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[1000]; 
    TCHAR szFileTitle[1000]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
    szFileName[0] = '\0';
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Texture *.raw\0*.raw\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csARTFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= OFN_ALLOWMULTISELECT+OFN_EXPLORER;    

	if (GetOpenFileName(&ofn)) {
		
		CStringArray files;
		CString dir = CopTools::FileMultSelDir(ofn.lpstrFile);

		CopTools::FileMultSelFiles(ofn.lpstrFile, &files);
		TRACE("Selections: %d\n", CopTools::FileMultSelNumber(ofn.lpstrFile));
		TRACE("Dir: %s\n", dir);

		CString csCurFile;
		for (int i=0; i<files.GetSize(); i++) {
			csCurFile = files[i];
			csCurFile = CopTools::EnsureFileExtension(csCurFile, "raw");
			bin.LoadTexture(csCurFile, dir);
		}
		OnDraw(GetDC());
	}	

}


void CHausView::OnFacesAdd() 
{
	if (bin.GetNumberOfTextures() == 0) {
		AfxMessageBox("No texture loaded!\nLoad texture first!");
		return;
	}
		
	CFacesAddDlg dlg;
	dlg.m_v1 = -1;
	dlg.m_v2 = -1;
	dlg.m_v3 = -1;
	dlg.m_v4 = -1;
	dlg.m_textype = 0;
	dlg.m_texname = "UNKNOWN";
	if (dlg.DoModal() == IDOK) {
		int type;
		if (dlg.m_textype == 0) type = 0x18;
		else if (dlg.m_textype == 1) type = 0x11;
		else if (dlg.m_textype == 2) type = 0x19;
		bin.AddFace(dlg.m_v1, dlg.m_v2, dlg.m_v3, dlg.m_v4, type);
		OnDraw(GetDC());
	}
}

void CHausView::OnFacesDeleteCurrent() 
{
	bin.DeleteFace(bin.GetCurrentFace());
	OnDraw(GetDC());
}

void CHausView::OnVerticesSetcoordinates() 
{
	CChgVertCoord dlg;	

	bin.GetVertexCoords(bin.GetCurrentVertex(), dlg.m_x, dlg.m_y, dlg.m_z);

	if (dlg.DoModal() == IDOK) {
		bin.SetVertexCoords(bin.GetCurrentVertex(), dlg.m_x, dlg.m_y, dlg.m_z);
		OnDraw(GetDC());
	}
}

void CHausView::OnModelRotatex() 
{
	RotateDlg dlg;
	
	if (dlg.DoModal()==IDOK) {
		TRACE("Rotating X(%f)\n",dlg.m_degrees);
		bin.RotateX(dlg.m_degrees);
		OnDraw(GetDC());
		UpdateVertexStatus();
	}
}

void CHausView::OnModelRotatey() 
{
	RotateDlg dlg;
	
	if (dlg.DoModal()==IDOK) {
		TRACE("Rotating Y(%f)\n",dlg.m_degrees);
		bin.RotateY(dlg.m_degrees);
		OnDraw(GetDC());
		UpdateVertexStatus();
	}
}

void CHausView::OnModelRotatez() 
{
	RotateDlg dlg;
	
	if (dlg.DoModal()==IDOK) {
		TRACE("Rotating Z(%f)\n",dlg.m_degrees);
		bin.RotateZ(dlg.m_degrees);
		OnDraw(GetDC());
		UpdateVertexStatus();
	}
}

void CHausView::OnVerticesAdd() 
{
	CVertCoordDlg dlg;
	dlg.pBIN = &bin;

	dlg.DoModal();
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnModelResize() 
{
	CResizeBinDlg dlg;

	dlg.m_ow = (bin.GetMaxCoord("x") - bin.GetMinCoord("x"))/256.0;
	dlg.m_oh = (bin.GetMaxCoord("y") - bin.GetMinCoord("y"))/256.0;
	dlg.m_ol = (bin.GetMaxCoord("z") - bin.GetMinCoord("z"))/256.0;
	dlg.m_nw = dlg.m_ow;
	dlg.m_nh = dlg.m_oh;
	dlg.m_nl = dlg.m_ol;
	if (dlg.DoModal() == IDOK) {
		bin.Scale(dlg.m_nw/dlg.m_ow, dlg.m_nh/dlg.m_oh, dlg.m_nl/dlg.m_ol);
		UpdateVertexStatus();
		OnDraw(GetDC());
	}
}

void CHausView::OnModelTranslate() 
{
	CTranslationDlg dlg;	

	if (dlg.DoModal() == IDOK) {
		TRACE("CTranslationDlg:\n\tScope = %d\n\tUnits = %d\n\t(x,y,z) = (%f, %f, %f)\n", dlg.cbScope, dlg.cbUnits, dlg.dDeltaX, dlg.dDeltaY, dlg.dDeltaZ);

		int dx, dy, dz;

		if (dlg.cbUnits == 0) {
			dx = (int)(256*dlg.dDeltaX);
			dy = (int)(256*dlg.dDeltaY);
			dz = (int)(256*dlg.dDeltaZ);
		} else {
			dx = dlg.dDeltaX;
			dy = dlg.dDeltaY;
			dz = dlg.dDeltaZ;
		}

		bin.Translate(dx, dy, dz, (dlg.cbScope == 1));
		
		OnDraw(GetDC());
		UpdateVertexStatus();
	}
}

void CHausView::OnGroupsDefinefacegroup() 
{
	CStringArray arr;
	bin.GetFaceGroupNames(arr);

	CGroupNameDlg dlg(NULL, &arr);
	dlg.SetWindowText("Save Face Group");

	if (dlg.DoModal() == IDOK) {
		bin.SaveFaceGroup(dlg.m_name);
	}
}

void CHausView::OnGroupsRestorefacegroup() 
{
	CStringArray arr;
	bin.GetFaceGroupNames(arr);

	CGroupAddDlg dlg(NULL, &arr);
	dlg.SetWindowText("Restore Face Group");

	if (dlg.DoModal() == IDOK) {
		bin.RestoreFaceGroup(dlg.m_name, dlg.bAdd);
	}
	OnDraw(GetDC());
}

void CHausView::OnFileInsert() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	for (int i=0; i<csCurrentName.GetLength(); i++)
		szFileName[i] = csCurrentName[i];
	szFileName[csCurrentName.GetLength()] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Model *.bin\0*.bin\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags = 0;    

	if (GetOpenFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "bin");

		if (!CopTools::FileExists(select))
			AfxMessageBox("File not found:\n"+select);
		else {
			BeginWaitCursor();
			
			if (bin.ReadBIN(select, csARTFolder) != -1) {
				csCurrentName = CString(szFileTitle);
				csCurrentName = CopTools::EnsureFileExtension(csCurrentName, "bin");

				AfxGetMainWnd()->SetWindowText("BINedit - "+csCurrentName);
			} else bin.NewBIN();

			OnViewZoomfit();
			UpdateVertexStatus();
			EndWaitCursor();
		}
	}	
	OnDraw(GetDC());
}

void CHausView::OnFileImportWavefront() 
{
	if (bin.GetNumberOfTextures() == 0) {
		AfxMessageBox("No texture loaded!\nLoad a texture first!");
		return;
	}

    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
    szFileName[0] = '\0';
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("Wavefront *.obj\0*.obj\0Digital Arts *.obj\0*.obj\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags = 0;    

	if (GetOpenFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "obj");

		if (!CopTools::FileExists(select))
			AfxMessageBox("File not found:\n"+select);
		else {
			BeginWaitCursor();
			bin.NewBIN();
			bin.ImportWavefront(select, 0x18);
			OnDraw(GetDC());
			UpdateVertexStatus();
			EndWaitCursor();
		}
	}	
}

void CHausView::OnGroupsDefineVertexGroup() 
{
	CStringArray arr;
	bin.GetVertexGroupNames(arr);

	CGroupNameDlg dlg(NULL, &arr);
	dlg.SetWindowText("Save Vertex Group");

	if (dlg.DoModal() == IDOK) {
		bin.SaveVertexGroup(dlg.m_name);
	}
}

void CHausView::OnGroupsRestoreVertexGroup() 
{
	CStringArray arr;
	bin.GetVertexGroupNames(arr);

	CGroupAddDlg dlg(NULL, &arr);
	dlg.SetWindowText("Restore Vertex Group");

	if (dlg.DoModal() == IDOK) {
		bin.RestoreVertexGroup(dlg.m_name, dlg.bAdd);
	}
	OnDraw(GetDC());
}

void CHausView::OnFileSaveasbackdrop() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	for (int i=0; i<csCurrentName.GetLength(); i++)
		szFileName[i] = csCurrentName[i];
	szFileName[csCurrentName.GetLength()] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Model *.bin\0*.bin\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= OFN_HIDEREADONLY;    

	if (GetSaveFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "bin");

		
		BOOL bFileExists = CopTools::FileExists(select);
		if (bFileExists) {
			if (AfxMessageBox("Overwrite the file\n"+select+"?", MB_YESNO) == IDYES)
				bFileExists = FALSE;
		}
		
		if (!bFileExists) {
			BeginWaitCursor();
			CWordArray cwaLog;
			bin.WriteBIN(select, TRUE,  FALSE,cwaLog, 0x00010000);

			CStdioFile groups;
			groups.Open(select+".info", CFile::modeWrite + CFile::modeCreate, NULL);
			bin.FaceGroupsSerialize(groups, cwaLog);
			bin.VertexGroupsSerialize(groups);
			groups.Close();
			EndWaitCursor();
		}
	}	
}

void CHausView::OnModelNormalizetexture() 
{
	CString csTex = bin.SelectTexture();

	for (int i=0; i<bin.GetNumberOfFaces(); i++) {
		bin.SetFaceTexture(i, csTex);
	}
	OnDraw(GetDC());
}

void CHausView::OnModelWritetexturestotextfile() 
{
	OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
    szFileName[0] = '\0';
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("Response Files *.lst\0*.lst\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= OFN_HIDEREADONLY;    

	if (GetSaveFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		CStdioFile csfFile;
		
		if (CopTools::FileExists(select))
			csfFile.Open(select, CFile::modeWrite);
		else
			csfFile.Open(select, CFile::modeWrite+CFile::modeCreate);
		csfFile.SeekToEnd();
		
		BeginWaitCursor();
		bin.WriteTexturesToStdioFile(csfFile);
		EndWaitCursor();

		csfFile.Close();
	}	
}

void CHausView::OnFileExportWavefront() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
    szFileName[0] = '\0';
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("Wavefront *.obj\0*.obj\0Digital Arts *.obj\0*.obj\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags = 0;    

	if (GetSaveFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "obj");

		BOOL bFileExists = CopTools::FileExists(select);
		if (bFileExists) {
			if (AfxMessageBox("Overwrite the file\n"+select+"?", MB_YESNO) == IDYES)
				bFileExists = FALSE;
		}
		
		if (!bFileExists) {
			BeginWaitCursor();
			bin.ExportWavefront(select);
			EndWaitCursor();
		}
	}	
}

void CHausView::OnFacesFliptexturex() 
{
	int iCurFace = bin.GetCurrentFace();
	if (iCurFace == -1) return;

	bin.FaceTextureFlipX(iCurFace);
	OnDraw(GetDC());
}

void CHausView::OnFacesFliptexturey() 
{
	int iCurFace = bin.GetCurrentFace();
	if (iCurFace == -1) return;
	
	bin.FaceTextureFlipY(iCurFace);
	OnDraw(GetDC());
}

void CHausView::OnFacesRotatetexture() 
{
	int iCurFace = bin.GetCurrentFace();
	if (iCurFace == -1) return;
	
	bin.FaceTextureRotate(iCurFace);
	OnDraw(GetDC());
}

void CHausView::OnVerticesDeletecurrent() 
{
	int iCurVert = bin.GetCurrentVertex();
	if (iCurVert == -1) return;

	bin.DeleteVertex(iCurVert);
	if (iCurVert > bin.GetNumberOfVertices()-1) bin.SetCurrentVertex(0);
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnVerticesDeleteallunused() 
{
	for (int i=bin.GetNumberOfVertices()-1; i >= 0; i--)
		bin.DeleteVertex(i);
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnTexturesDefineanimation() 
{
	DefAnimTex dlg;

	if (dlg.DoModal() == IDOK) {
		CString csItem;
		CStringArray csaTemp;

		for (int i=0; i<dlg.csaTextures.GetSize(); i++) { 
			dlg.csaTextures[i].MakeUpper();
			csaTemp.Add(dlg.csaTextures[i]);
		}

		bin.AddTexAnim(dlg.m_name, 65535.0/dlg.m_fps, csaTemp, csARTFolder);
	}
	
}

void CHausView::OnFileNew() 
{
	bin.NewBIN();
	AfxGetMainWnd()->SetWindowText("BINedit - NEW MODEL");
	OnDraw(GetDC());
	UpdateVertexStatus();
}

// Zoom 3d-model to fit in 3d-view
void CHausView::OnViewZoomfit() 
{
		double dMaxi = abs(bin.GetMaxCoord("x"));
		dMaxi = max(dMaxi, abs(bin.GetMaxCoord("y")));
		dMaxi = max(dMaxi, abs(bin.GetMaxCoord("z")));
		dMaxi = max(dMaxi, abs(bin.GetMinCoord("x")));
		dMaxi = max(dMaxi, abs(bin.GetMinCoord("y")));
		dMaxi = max(dMaxi, abs(bin.GetMinCoord("z")));

		dMaxi /= 1000;

		if (dMaxi > 0) bin.SetZoom(17.0/dMaxi);
		OnDraw(GetDC());
}

void CHausView::OnFaceProperties() 
{
	int iFace = bin.GetCurrentFace();

	if (iFace == -1) {
		AfxMessageBox("No face selected!\n");
		return;
	}

	//CStringArray csaBinTextures;
	//bin.GetTextureNameArray(csaBinTextures);
	CFaceProps dlg(this);

	dlg.bin = &bin;
	dlg.iFace = iFace;

	if (dlg.DoModal() == IDOK) {
		bin.SetFaceVertex(iFace, 0, dlg.iVertex1);
		bin.SetFaceVertex(iFace, 1, dlg.iVertex2);
		bin.SetFaceVertex(iFace, 2, dlg.iVertex3);
		bin.SetFaceVertex(iFace, 3, dlg.iVertex4);

		bin.SetFaceTextureType(iFace, bin.GetFaceTypeValue(dlg.csFaceType));

		bin.SetCurrentFaceTexture(dlg.csTexName);
		
		OnDraw(GetDC());
	}
}

void CHausView::OnViewWire() 
{
	FaceType = 1;
	OnDraw(GetDC());
}

void CHausView::OnViewSolid() 
{
	FaceType = 2;
	OnDraw(GetDC());
}

void CHausView::OnViewTextured() 
{
	FaceType = 3;
	OnDraw(GetDC());
}

void CHausView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
	// TODO: Add your specialized code here and/or call the base class

	// Create Status Bar
	//if (!csbStatus.Create(this))
	//	AfxMessageBox("Failed to create StatusBar!");
	//else
	//	csbStatus.ShowWindow(SW_SHOW);

	ActivateVertexStatusDlg();

	pBrowseDlg = new CBrowseDlg(this);
	if (!pBrowseDlg->Create() == TRUE) {
		AfxMessageBox("Failed to create Browse Dialog!");
		return;
	}

	pBrowseDlg->SetWindowPos(NULL, 10, 10, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
	bViewBrowse = FALSE;
}

void CHausView::UpdateVertexStatus(void)
{
	if (!pVertexStatusDlg->m_active) return;

	char buf[10];	// for _itoa()
	int num, x, y, z;

	num = bin.GetCurrentVertex();

	if (num != -1) {
		bin.GetVertexCoords(num, x, y, z);
		pVertexStatusDlg->m_no = CString(_itoa(num, buf, 10));
		pVertexStatusDlg->m_x = CString(_itoa(x, buf, 10));
		pVertexStatusDlg->m_y = CString(_itoa(y, buf, 10));
		pVertexStatusDlg->m_z = CString(_itoa(z, buf, 10));
	} else {
		pVertexStatusDlg->m_no = "none";
		pVertexStatusDlg->m_x = "-";
		pVertexStatusDlg->m_y = "-";
		pVertexStatusDlg->m_z = "-";
	}

	pVertexStatusDlg->UpdateData(FALSE);
}

void CHausView::OnViewToggleVertexStatus() 
{
	if (pVertexStatusDlg->m_active)
	{
		pVertexStatusDlg->ShowWindow(SW_HIDE);
		pVertexStatusDlg->m_active = FALSE;
	}
	else
	{
		pVertexStatusDlg->ShowWindow(SW_SHOWNOACTIVATE);
		pVertexStatusDlg->m_active = TRUE;
	}
}

void CHausView::OnUpdateViewToggleVertexStatus(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	if (pVertexStatusDlg->m_active)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}


void CHausView::OnFaceSelectAll() 
{
	for (int i=0; i<bin.GetNumberOfFaces(); i++)
			bin.TagFace(i);
	OnDraw(GetDC());
}

void CHausView::WriteConfiguration()
{
	char buf[20];

	if(pVertexStatusDlg) {
		int x, y;

		pVertexStatusDlg->GetRelativePosition(x, y);
		cmapCfg["VERTSTATX"] = CString(itoa(x, buf, 10));
		cmapCfg["VERTSTATY"] = CString(itoa(y, buf, 10));
		
		if (pVertexStatusDlg->m_active)
			cmapCfg["VERTSTATVIS"] = CString("1");
		else
			cmapCfg["VERTSTATVIS"] = CString("0");
	}

	cmapCfg["DEFPAL"]   = csACT;
	cmapCfg["BINDIR"]   = csBINFolder;
	cmapCfg["ARTDIR"]   = csARTFolder;
	cmapCfg["TRKDIR"]   = csTRKFolder;
	cmapCfg["FACETYPE"] = CString(itoa(FaceType, buf, 10));

	if (bFollowFace) cmapCfg["FOLLOWFACE"] = CString("1");
	else			 cmapCfg["FOLLOWFACE"] = CString("0");

	if (b3DOnly) cmapCfg["3DONLY"] = CString("1");
	else		 cmapCfg["3DONLY"] = CString("0");

	if (b3DAxes) cmapCfg["3DAXES"] = CString("1");
	else		 cmapCfg["3DAXES"] = CString("0");

	if (b3DVerts) cmapCfg["3DVERTS"] = CString("1");
	else		  cmapCfg["3DVERTS"] = CString("0");

	if (b3DQuality) cmapCfg["3DQUALITY"] = CString("1");
	else		    cmapCfg["3DQUALITY"] = CString("0");

	cmapCfg["BACKGRND"] = CString(ltoa(rgbBack, buf, 10));

	CopTools::WriteCfgFile(csAppDir + "\\BINedit.cfg", cmapCfg);
}

void CHausView::ActivateVertexStatusDlg()
{
	pVertexStatusDlg = new CVertexStatusDlg(this);
	if (!pVertexStatusDlg->Create() == TRUE)
		AfxMessageBox("Failed to create Status Dialog!");
	pVertexStatusDlg->m_active = TRUE;

	int x, y;

	x = CopTools::GetCfgInt("VERTSTATX", cmapCfg, -1);
	y = CopTools::GetCfgInt("VERTSTATY", cmapCfg, -1);

	RECT r;
	GetClientRect(&r);
	if ((x > r.right - 50) || (y > r.bottom - 50)) x = y = 0;
	
	if (x == -1 || y == -1)
		pVertexStatusDlg->SetWindowPos(NULL, width>>1, height>>1, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
	else
		pVertexStatusDlg->SetWindowPos(NULL, x, y, 0, 0, SWP_NOSIZE | SWP_NOZORDER);

	int vis = CopTools::GetCfgInt("VERTSTATVIS", cmapCfg, 1);
	if (!vis) {
		pVertexStatusDlg->m_active = FALSE;
		pVertexStatusDlg->ShowWindow(SW_HIDE);
	}
}

void CHausView::OnFilePreferences() 
{
	CPreferencesDlg cdlgPref;
	
	cdlgPref.csDefPal = csACT;
	cdlgPref.csBINDir = csBINFolder;
	cdlgPref.csARTDir = csARTFolder;
	cdlgPref.csTRKDir = csTRKFolder;

	if(cdlgPref.DoModal() == IDOK) {
		csACT       = cdlgPref.csDefPal;
		csBINFolder = cdlgPref.csBINDir;
		csARTFolder = cdlgPref.csARTDir;
		csTRKFolder = cdlgPref.csTRKDir;
	}	
}

void CHausView::OnFaceMultitex() 
{
	TRACE("CHausView::OnFaceMultitex()\n");

	CStringArray csaBinTextures;
	bin.GetTextureNameArray(csaBinTextures);
	CMultitexDlg dlgMF(this, &csaBinTextures);

	dlgMF.bin = &bin;
	dlgMF.DoModal();
	OnDraw(GetDC());
}

void CHausView::OnSelectTextype() 
{
	CTexTypeDlg dlg;
	dlg.pBin = &bin;

	if (dlg.DoModal() == IDOK) {

		int iTexType = bin.GetFaceTypeValue(dlg.csCurSel);

		for (int i=0; i<bin.GetNumberOfFaces(); i++) {
			if (bin.IsFaceTagged(i))
				bin.SetFaceTextureType(i, iTexType);
		}
	}
}

void CHausView::OnVertexMerge() 
{
	CMergeVertsDlg dlg;

	dlg.uiDist = 2;

	if(dlg.DoModal() == IDOK) {
		BeginWaitCursor();
		bin.MergeCloseVertices(dlg.uiDist);
		OnDraw(GetDC());
		EndWaitCursor();
	}
}

void CHausView::OnView3donly() 
{
	b3DOnly = !b3DOnly;

	if (!b3DOnly) glViewport(m_oldRect.right>>1, m_oldRect.bottom>>1, m_oldRect.right>>1, m_oldRect.bottom>>1);
	else glViewport(0, 0, m_oldRect.right, m_oldRect.bottom);
	
	OnDraw(GetDC());
}

void CHausView::OnUpdateView3donly(CCmdUI* pCmdUI) 
{
	if (b3DOnly)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::OnViewShowaxes() 
{
	b3DAxes = !b3DAxes;
	OnDraw(GetDC());
}

void CHausView::OnUpdateViewShowaxes(CCmdUI* pCmdUI) 
{
	if (b3DAxes)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::OnViewShowvertices() 
{
	b3DVerts = !b3DVerts;
	OnDraw(GetDC());
}

void CHausView::OnUpdateViewShowvertices(CCmdUI* pCmdUI) 
{
	if (b3DVerts)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::OnView3dquality() 
{
	b3DQuality = !b3DQuality;

	if (b3DQuality) {
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
	    glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
	} else {
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);
		glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);
	}

	OnDraw(GetDC());
}

void CHausView::OnUpdateView3dquality(CCmdUI* pCmdUI) 
{
	if (b3DQuality)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::Texture2JPEG(unsigned char * bBuf, int iWidth, int iHeight, CString csDest)
{
	TRACE("CHausView::Texture2JPEG(%d, %d, %s)\n", iWidth, iHeight, csDest);
	struct jpeg_compress_struct cinfo;
	struct jpeg_error_mgr jerr;

	cinfo.err = jpeg_std_error(&jerr);
	jpeg_create_compress(&cinfo);

	FILE * outfile;
	if ((outfile = fopen(csDest, "wb")) == NULL) {
	    AfxMessageBox("Unable to open destination file!");
		return;
	}
	jpeg_stdio_dest(&cinfo, outfile);

	cinfo.image_width = iWidth; 	/* image width and height, in pixels */
	cinfo.image_height = iHeight;
	cinfo.input_components = 3;	/* # of color components per pixel */
	cinfo.in_color_space = JCS_RGB; /* colorspace of input image */

	jpeg_set_defaults(&cinfo);
	/* Make optional parameter settings here */

	jpeg_start_compress(&cinfo, TRUE);

	JSAMPROW row_pointer[1];	/* pointer to a single row */
	int row_stride;			/* physical row width in buffer */

	row_stride = cinfo.image_width * cinfo.input_components;	/* JSAMPLEs per row in image_buffer */

	for (int i=0; i<iHeight; i++) {
	    row_pointer[0] = &bBuf[row_stride * i];
	    jpeg_write_scanlines(&cinfo, row_pointer, 1);
	}
	
	jpeg_finish_compress(&cinfo);

	jpeg_destroy_compress(&cinfo);

	fclose(outfile);
	TRACE("CHausView::Texture2JPEG() - Done!\n");
}

void CHausView::OnFileExportVrml() 
{
	CString csMsg;
	csMsg  = "Attention!\nThe model's textures will be converted to JPEG files\n";
	csMsg += "and will be saved in the same directory as the VRML file.\n";
	
	AfxMessageBox(csMsg);
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    memset(&ofn, 0, sizeof(ofn));

	szFileName[0] = '\0';

    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("VRML File *.wrl\0*.wrl\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= 0;    

	if (GetSaveFileName(&ofn)) {
		CString csFile = ofn.lpstrFileTitle;
		CString csDir  = ofn.lpstrFile;
		csFile = CopTools::EnsureFileExtension(csFile, "wrl");

		csDir = csDir.Left(csDir.ReverseFind('\\')+1);

		BeginWaitCursor();
		WriteBINTexturesAsJPEG(csDir);
		bin.WriteAsVRML(csDir+csFile);
		EndWaitCursor();
	}

}

void CHausView::WriteBINTexturesAsJPEG(CString csDir)
{
	CStringArray csaTextures;
	CString csCurrent;
	int iSize;
	int i;
	unsigned char *pData;

	bin.GetTextureNameArray(csaTextures);

	for (i=0; i<csaTextures.GetSize(); i++) {
		csCurrent = csaTextures[i];
		iSize = bin.GetTextureSize(csCurrent);
		pData = bin.GetTexturePointer(csCurrent);
		
		if (bin.IsTextureInUse(csCurrent))Texture2JPEG(pData, iSize, iSize,csDir+csCurrent+".JPG");
	} 
}

void CHausView::OnFileImportTruck() 
{
    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	szFileName[0] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("MTM Truck *.trk\0*.trk\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csTRKFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags = 0;    

	CString csFile = "";
	if (GetOpenFileName(&ofn)) {
		csFile = ofn.lpstrFile;
		csFile = CopTools::EnsureFileExtension(csFile, "trk");
	} else return;

	if (csFile.IsEmpty()) return;
	if (!CopTools::FileExists(csFile)) {
		AfxMessageBox("File not found:\n"+csFile);
		return;
	}
	
	BeginWaitCursor();
	CStdioFile cfTruck;	
	cfTruck.Open(csFile, CFile::modeRead);

	CString csAux;
	CString csModel, csTire, csTireBase;
	CString csAxle = "AXLE.BIN";
	csTireBase.Empty();
	int frx, fry, frz;
	int flx, fly, flz;
	int rrx, rry, rrz;
	int rlx, rly, rlz;
	while (cfTruck.ReadString(csAux)) {
		csAux.MakeUpper();
		csAux.TrimLeft();
		csAux.TrimRight();
		if (csAux == "TRUCKMODELNAME") {
			cfTruck.ReadString(csModel);
			TRACE("TruckModelName: %s\n", csModel);
		}
		if (csAux == "TRUCKMODELBASENAME") {
			cfTruck.ReadString(csModel);
			csModel+=".bin";
			TRACE("TruckModelName: %s\n", csModel);
		}
		else if (csAux == "TIREMODELNAME") {
			cfTruck.ReadString(csTire);
			TRACE("TireModelName: %s\n", csTire);
		}
		else if (csAux == "TIREMODELBASENAME") {
			cfTruck.ReadString(csTireBase);
			TRACE("TireModelBaseName: %s\n", csTireBase);
		}
		else if (csAux == "AXLEMODELNAME") {
			cfTruck.ReadString(csAxle);
			TRACE("AxleModelName: %s\n", csAxle);
		}

		// Front Axle Right Tire		
		else if (csAux == "FAXLE.RTIRE.STATIC_BPOS.X") {
			cfTruck.ReadString(csAux);
			frx = (int)(256*atof(csAux));
			TRACE("FRX: %f\n", frx);
		}
		else if (csAux == "FAXLE.RTIRE.STATIC_BPOS.Y") {
			cfTruck.ReadString(csAux);
			fry = (int)(256*atof(csAux));
			TRACE("FRY: %f\n", fry);
		}
		else if (csAux == "FAXLE.RTIRE.STATIC_BPOS.Z") {
			cfTruck.ReadString(csAux);
			frz = (int)(256*atof(csAux));
			TRACE("FRZ: %f\n", frz);
		}

		// Front Axle Left Tire		
		else if (csAux == "FAXLE.LTIRE.STATIC_BPOS.X") {
			cfTruck.ReadString(csAux);
			flx = (int)(256*atof(csAux));
			TRACE("flX: %f\n", flx);
		}
		else if (csAux == "FAXLE.LTIRE.STATIC_BPOS.Y") {
			cfTruck.ReadString(csAux);
			fly = (int)(256*atof(csAux));
			TRACE("flY: %f\n", fly);
		}
		else if (csAux == "FAXLE.LTIRE.STATIC_BPOS.Z") {
			cfTruck.ReadString(csAux);
			flz = (int)(256*atof(csAux));
			TRACE("flZ: %f\n", flz);
		}


		// Rear Axle Right Tire		
		else if (csAux == "RAXLE.RTIRE.STATIC_BPOS.X") {
			cfTruck.ReadString(csAux);
			rrx = (int)(256*atof(csAux));
			TRACE("rrX: %f\n", rrx);
		}
		else if (csAux == "RAXLE.RTIRE.STATIC_BPOS.Y") {
			cfTruck.ReadString(csAux);
			rry = (int)(256*atof(csAux));
			TRACE("rrY: %f\n", rry);
		}
		else if (csAux == "RAXLE.RTIRE.STATIC_BPOS.Z") {
			cfTruck.ReadString(csAux);
			rrz = (int)(256*atof(csAux));
			TRACE("rrZ: %f\n", rrz);
		}

		// Rear Axle Left Tire		
		else if (csAux == "RAXLE.LTIRE.STATIC_BPOS.X") {
			cfTruck.ReadString(csAux);
			rlx = (int)(256*atof(csAux));
			TRACE("rlX: %f\n", rlx);
		}
		else if (csAux == "RAXLE.LTIRE.STATIC_BPOS.Y") {
			cfTruck.ReadString(csAux);
			rly = (int)(256*atof(csAux));
			TRACE("rlY: %f\n", rly);
		}
		else if (csAux == "RAXLE.LTIRE.STATIC_BPOS.Z") {
			cfTruck.ReadString(csAux);
			rlz = (int)(256*atof(csAux));
			TRACE("rlZ: %f\n", rlz);
		}
	}
	cfTruck.Close();
	
	// adjust tire y-position to reflect truck weight on suspension
	fry += 256;
	fly += 256;
	rry += 256;
	rly += 256;

	// axle positions
	int ray = (rly + rry)>>1;
	int fay = (fly + fry)>>1;
	int raz = (rlz + rrz)>>1;
	int faz = (flz + frz)>>1;

	// now we have the data, do something...
	bin.NewBIN();
	
	// Add the axles
	bin.Translate(0,-ray,-raz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csAxle, csARTFolder);
	bin.Translate(0,ray,raz, FALSE);
	bin.Translate(0,-fay,-faz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csAxle, csARTFolder);
	bin.Translate(0,fay,faz, FALSE);

	// add right tires
	if (!csTireBase.IsEmpty())
		csTire = csTireBase + "16r.bin";
	bin.Translate(-frx,-fry,-frz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csTire, csARTFolder);
	bin.Translate(frx,fry,frz, FALSE);
	bin.Translate(-rrx,-rry,-rrz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csTire, csARTFolder);
	bin.Translate(rrx,rry,rrz, FALSE);

	// add left tires
	if (!csTireBase.IsEmpty())
		csTire = csTireBase + "16l.bin";
	bin.Translate(-flx,-fly,-flz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csTire, csARTFolder);
	bin.Translate(flx,fly,flz, FALSE);
	bin.Translate(-rlx,-rly,-rlz, FALSE);
	bin.ReadBIN(csBINFolder+"\\"+csTire, csARTFolder);
	bin.Translate(rlx,rly,rlz, FALSE);

	bin.ReadBIN(csBINFolder+"\\"+csModel, csARTFolder);

	OnViewZoomfit();
	UpdateVertexStatus();
	EndWaitCursor();

	OnDraw(GetDC());
}

void CHausView::OnModelCenterAll() 
{
	OnModelCenterX();
	OnModelCenterY();
	OnModelCenterZ();
}

void CHausView::OnModelCenterX() 
{
	bin.Translate(-(bin.GetMaxCoord("x") + bin.GetMinCoord("x"))/2, 0, 0, FALSE);
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnModelCenterY() 
{
	bin.Translate(0, -(bin.GetMaxCoord("y") + bin.GetMinCoord("y"))/2, 0, FALSE);
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnModelCenterZ() 
{
	bin.Translate(0, 0, -(bin.GetMaxCoord("z") + bin.GetMinCoord("z"))/2, FALSE);
	OnDraw(GetDC());
	UpdateVertexStatus();
}

void CHausView::OnFileBrowse() 
{
	if (!bViewBrowse) {

		SetCurrentDirectory(csBINFolder);

		while (pBrowseDlg->clbBINs.DeleteString(0) != LB_ERR);
		
		pBrowseDlg->clbBINs.Dir(0,"*.bin");
		pBrowseDlg->UpdateData(FALSE);
		pBrowseDlg->pBin = &bin;
		pBrowseDlg->csARTdir = csARTFolder;
		pBrowseDlg->csBINdir = csBINFolder;
	
		pBrowseDlg->ShowWindow(SW_SHOW);
		bViewBrowse = TRUE;
	} else {
		pBrowseDlg->ShowWindow(SW_HIDE);
		bViewBrowse = FALSE;
	}
}

void CHausView::OnUpdateFileBrowse(CCmdUI* pCmdUI) 
{
	if (bViewBrowse)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::OnViewFollowcurrent() 
{
	bFollowFace = !bFollowFace;	
	OnDraw(GetDC());
}

void CHausView::OnUpdateViewFollowcurrent(CCmdUI* pCmdUI) 
{
	if (bFollowFace)
		pCmdUI->SetCheck(1);
	else
		pCmdUI->SetCheck(0);
}

void CHausView::OnFaceDeselectAll() 
{
	for (int i=0; i<bin.GetNumberOfFaces(); i++)
			bin.UntagFace(i);
	OnDraw(GetDC());
}

void CHausView::OnVertsSelectAll() 
{
	for (int i=0; i<bin.GetNumberOfVertices(); i++)
			bin.TagVertex(i);
	OnDraw(GetDC());
}

void CHausView::OnVertsDeselectAll() 
{
	for (int i=0; i<bin.GetNumberOfVertices(); i++)
			bin.UntagVertex(i);
	OnDraw(GetDC());
}

void CHausView::OnFaceJump() 
{
	IntDlg dlg;
	dlg.iVal = bin.GetCurrentFace();

	if (dlg.DoModal()==IDOK) {
		bin.SetCurrentFace(dlg.iVal);
		OnDraw(GetDC());
	}
}

void CHausView::OnVertJump() 
{
	IntDlg dlg;
	dlg.iVal = bin.GetCurrentVertex();

	if (dlg.DoModal()==IDOK) {
		bin.SetCurrentVertex(dlg.iVal);
		OnDraw(GetDC());
	}
}

void CHausView::OnFaceFlip() 
{
	bin.FlipFace(bin.GetCurrentFace());
	OnDraw(GetDC());
}

void CHausView::OnFacegroupFlip() 
{
	for (int i=0; i<bin.GetNumberOfFaces(); i++) {
		if (bin.IsFaceTagged(i))
			bin.FlipFace(i);
	}
	OnDraw(GetDC());
}

void CHausView::OnFaceSelbydir() 
{
	CDirTagDlg dlg;

	if(dlg.DoModal() == IDOK) {
		TRACE("iDir=%d. iTol=%f\n", dlg.iDir, dlg.dTol);
		CString csDir;
		if (dlg.iDir == 0) csDir = "X";
		else if (dlg.iDir == 1) csDir = "-X";
		else if (dlg.iDir == 2) csDir = "Y";
		else if (dlg.iDir == 3) csDir = "-Y";
		else if (dlg.iDir == 4) csDir = "Z";
		else if (dlg.iDir == 5) csDir = "-Z";

		bin.FaceGroupByDirection(csDir, (3.14159265*dlg.dTol/180.0));
	}
	OnDraw(GetDC());
}

void CHausView::OnViewBgnd() 
{
	CColorDialog dlg;

	dlg.m_cc.Flags = dlg.m_cc.Flags | CC_FULLOPEN;
	
	if (dlg.DoModal()==IDOK) {
		rgbBack = dlg.GetColor();
	}
	OnDraw(GetDC());
}
 

void CHausView::OnFileImasc() 
{
	bin.ImportASCModel("dummy");
	bin.ImportASCSkin("dummy");
	OnDraw(GetDC());
}

void CHausView::OnGroupsMagic() 
{
	IntDlg dlg;
	dlg.iVal = bin.GetFaceMagic(0);

	if (dlg.DoModal()==IDOK) {
		for (int i=0; i<bin.GetNumberOfFaces(); i++) {
			if (bin.IsFaceTagged(i))
				bin.SetFaceMagic(i, dlg.iVal);
		}
		OnDraw(GetDC());
	}
}

void CHausView::OnFileHell() 
{
	int i;

	if (abs(bin.GetMaxCoord("y") + bin.GetMinCoord("y")) > 1) {
		if(AfxMessageBox("Model is centered along the vertical axis.\n"
			"This will cause the model to float or sink into the ground.\n\n"
			"Center model vertically before saving?", MB_YESNO) == IDYES) {
			OnModelCenterY();
		}
	}

	if (bin.IsFaceTypeInUse(0x29)) {
		if (AfxMessageBox("This BIN model uses a face type\n"
			              "that is not recognized by Hellbender.\n"
						  "Convert BIN to Hellbender face types?", MB_YESNO) == IDYES) {
			for (int i=0; i<bin.GetNumberOfFaces(); i++) {
				if (bin.GetFaceTextureType(i) == 0x29) bin.SetFaceTextureType(i, 0x18);
			}
		}
	}

	long int liHellMagic;
	IntDlg dlg;
	dlg.iVal = bin.GetHellMagic();

	AfxMessageBox("Enter Hellbender Scale Factor\n(default: as loaded with BIN).\nThis number affects the size of the model.");

	if (dlg.DoModal()==IDOK) {
		liHellMagic = dlg.iVal;
	}

    OPENFILENAME   ofn;
    TCHAR szFileName[128]; 
    TCHAR szFileTitle[128]; 
    LPDISPATCH pdispBrowseHelper = NULL;  
    LPDISPATCH pdispTypeLibrary = NULL;
    LPDISPATCH pdispTypeInfos = NULL;      
    
	for (i=0; i<csCurrentName.GetLength(); i++)
		szFileName[i] = csCurrentName[i];
	szFileName[csCurrentName.GetLength()] = '\0';

    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.hwndOwner = GetParent()->m_hWnd;
    ofn.lpstrFile = szFileName;
    ofn.lpstrFileTitle = szFileTitle;
    ofn.nMaxFile  = sizeof(szFileName);
    ofn.hInstance = NULL;
    ofn.lpstrFilter  = TEXT("BIN Model *.bin\0*.bin\0All Files *.*\0*.*\0\0");
    ofn.nFilterIndex = 1;
	CString path = csBINFolder;
	ofn.lpstrInitialDir = (LPCTSTR)(path);
    ofn.Flags= 0;    

	if (GetSaveFileName(&ofn)) {
		CString select = ofn.lpstrFile;
		select = CopTools::EnsureFileExtension(select, "bin");

		BOOL bFileExists = CopTools::FileExists(select);
		if (bFileExists) {
			if (AfxMessageBox("Overwrite the file\n"+select+"?", MB_YESNO) == IDYES)
				bFileExists = FALSE;
		}
		
		if (!bFileExists) {
			BeginWaitCursor();
			CWordArray cwaLog;
			bin.WriteBIN(select, FALSE, bin.IsFaceTypeInUse(0x29), cwaLog, liHellMagic);
			
			CStdioFile groups;
			groups.Open(select+".info", CFile::modeWrite + CFile::modeCreate, NULL);
			bin.FaceGroupsSerialize(groups, cwaLog);
			bin.VertexGroupsSerialize(groups);
			groups.Close();

			csCurrentName = CString(szFileTitle);
			csCurrentName = CopTools::EnsureFileExtension(csCurrentName, "bin");
			AfxGetMainWnd()->SetWindowText("BINedit - "+csCurrentName);
			EndWaitCursor();
		}
	}	
}
