#ifndef __MTMPODFILE_H__
#define __MTMPODFILE_H__

struct PODDirEntry {
	CString filename;
	CString palettename;
	DWORD	offset;
	DWORD	dwLnth;
	DWORD	dwIndex;
};
	
class CMTMPODFile {
public:	
	bool ValidDir(void);
	DWORD GetFileLnth(CString csName);
	static WORD GetPODFileNum(CString csName);
	DWORD GetLength();
	int GetDirEntryAt(WORD idx, CString &csName, CString &csPal, DWORD &dwOffset, DWORD &dwLen, DWORD &dwLnth);
	WORD GetFileNum();
	BYTE * AllocMemAndLoadFile(CString csName);
	int ReadDirectory(CString filename);
	long int GetFilePosition(CString csName);
	long int GetFileSize(CString csName);
	long int GetFileSize(WORD idx);
	CMTMPODFile();
	~CMTMPODFile();
protected:
	void ReleaseDirEntries(void);
	CString Buf2Filename(char *buf);
	CString Buf2Palettename(char *buf);
	CString csPODName;		// name of POD file
	DWORD num_files;		// number of files in POD
	DWORD pod_len;			// length of POD in bytes
	CPtrArray dir;			// list of POD directory entries
	CMapStringToPtr *pMap;	// for fast access by file name
	BOOL dir_read;			// flag: POD data available
};

#endif
