// MTMTexPool.h: interface for the CMTMTexPool class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MTMTEXPOOL_H__BA1B49C0_CA50_11D1_8B44_9F1DCA55BE7A__INCLUDED_)
#define AFX_MTMTEXPOOL_H__BA1B49C0_CA50_11D1_8B44_9F1DCA55BE7A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef struct sTextureAnimation {
	CString csName;
	CStringArray csaTextures;
	DWORD dwDelay;
} sTextureAnimation;

typedef struct sTexture {
	CString csName;
	CString csACT;
	int iWidth, iHeight;
	unsigned char * pBGR;
} sTexture;

class CMTMTexPool  
{
public:
	void ClearTexturePool();
	int ReadTexACT(CString csTex, int iWidth, int iHeight, CString csACT);
	CMTMTexPool();
	virtual ~CMTMTexPool();

protected:
	CMapStringToPtr mapTex;			// maps Texture Name to Texture Structure pointer
	CMapStringToPtr mapAnim;		// maps Texture Name to Texture Animation Structure pointer
};

#endif // !defined(AFX_MTMTEXPOOL_H__BA1B49C0_CA50_11D1_8B44_9F1DCA55BE7A__INCLUDED_)
