#ifndef __MTMTOOLS_H__
#define __MTMTOOLS_H__

typedef struct sMergeListEntry {
	CString csName;		// name of file
	CString csPalette;	// palette of file (if RAW file)
	WORD	wSrc;		// index of source POD
	DWORD	dwSrcOffset;	// offset within source POD
	DWORD	dwLen;			// length (in bytes)
	DWORD	dwLnth;			// mysterious value 8-)
	DWORD	dwDstOffset;	// offset within merged POD
} sMLE;

class CMTMTools {
public:	
	static CString GetMTMPath();
	static int MergePODs(CStringArray &merge, CStringArray &system, CString merged_name, CProgressCtrl *pcpcProg, CString *pcsInfo, CDialog *pcdlgParent);
	CMTMTools();
	~CMTMTools();
protected:
	static BOOL MergePODs_IsAlreadyMerged(CString &csName, CPtrArray &cpaMerged);
};

#endif
